migrar Joomla 2.5.18 a 3.4  

Página 1 / 2
 
RICARDO
 RICARDO
Usuario activo

Hola, estuve hablando por el chat con un compañero vuestro para preguntarle como actualizar de 2.5.18 a 3.4, me dio el siguiente enlace:
https://www.webempresa.com/blog/actualizar-joomla-2-5-28-joomla-3-4-rapida-facilmente.html
Sin embargo pone lo siguiente:
(1): Versiones de Joomla 2.5, anteriores a la 2.5.28 deben actualizar primero, posiblemente de forma manual, aplicando el patch correspondiente, a la versión 2.5.28.

Yo tengo la 2.5.18 por lo tanto es inferior ¿Cómo puedo actualizarlo a la 2.5.28 para posteriormente dar el salto a la 3.4? Hice una copia de seguridad desde cPanel. Tengo un poco de respeto en actualizar Joomla ya que hace dos años lo intenté hacer, quise hacerlo directamente desde la opción que aparecia en el backend y cuando lo hice dejó de funcionar la página, salia todo en blanco con un error y además ni siquiera me dejaba acceder al backend de Joomla para restaurar. Gracias a Dios que dias antes se hizo una copia de seguridad automática en el cPanel y pude restaurarlo desde ahi, pero el susto quedó ahi.

Según he leído hay que actualizar los módulos y extensiones en mi actual versión de Joomla y comprobar que sean compatibles con la versión a actualizar. Hay alguna forma de comprobarlo automaticamente o tengo que hacerlo uno por uno. Hay muchos. ¿También tengo que hacer una copia de seguridad desde Joomla o me vale con la de cPanel? Si hago la copia sobrepaso los 5GB que tengo contratados. Además incomprensiblemente la copia de Joomla me ocupa unos 300MB y la del cPanel 1.5GB, ha fallado algo? Hice una copia con Joomla, la descargué y la borré del servidor para tenerla en mi ordenador.

Gracias.

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 23/02/2018 9:14 am
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola Ricardo,

Puedes descargar la actualización a la versión 2.5.28 desde el siguiente enlace:

https://downloads.joomla.org/es/cms/joomla25/2-5-28/joomla_2-5-x_to_2-5-28-stable-patch_package-zip?format=zip

Puedes actualizarlo desde Extensión->Gestor de extensiones, como si se tratara de la instalación de una extensión de Joomla.

A la hora de actualizar a Joomla 3, lo recomendable sería que hicieras un clon de tu Joomla actual y pruebes la actualización en el clon, ya que es bastante probable que surjan incompatibilidades con algunas extensiones que tengas instaladas.

No hay una forma directa de verificar si las extensiones que actualmente tienes son compatibles con Joomla 3. Habría que revisarlo una a una. Ten en cuenta que las extensiones que ya vienen incluidas en el Joomla por defecto ya se actualizarán con la propia actualización de Joomla.

Sobre el tema del espacio en disco, es mejor que envíes un ticket, ya que ahí podrán indicarte en qué están empleando es espacio de forma concreta.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 23/02/2018 2:43 pm

Cursos Gratuitos WordPress

RICARDO
 RICARDO
Usuario activo

Hola. Gracias por contestar. El problema es que yo no sé cuales son plugins instalados y cuales nativos de Joomla. Hay alguna forma de saberlo? Es mirando la columna Tipo (foto adjunta) y viendo cuales son del system y cuales mios (user)? No tengo ni idea de como identificarlos! Gracias de antemano.

ResponderCitar
Respondido : 23/02/2018 4:38 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

De tu captura, puedo ver que son externos

- Todos los que tienen nombre Rok...
- JCH optimizer
- Todos los que tienen nombre Xmap

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 23/02/2018 6:39 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

RICARDO
 RICARDO
Usuario activo

Y para actualizar tengo que desactivar modulos, plugins, plantillas y gestor de idiomas externos o solamente modulos?
Y hacer esto es necesario para pasar de la 2.5.18 a la 2.5.28 o solo para pasar a la 3.4?

ResponderCitar
Respondido : 26/02/2018 9:09 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Ricardo.

para actualizarlo es recomendable que desactives las extensiones ( Módulos, componentes, plugins ) de terceros, es decir que no sean nativos de joomla ( Akeeba, JCH, etc.. )

es necesario para pasar de la 2.5.18 a la 2.5.28 o solo para pasar a la 3.4?
Solo cuando actualices a la 3.4.

Antes de empezar comprueba que tu plantilla sea compatible para la 3.4, que tengas actualizaciones para esa version.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 26/02/2018 10:27 am

wpdoctor-revisa-la-salud-de-tu-wordpress

RICARDO
 RICARDO
Usuario activo

como puedo comprimir mi espacio? estoy sobrepasandolo en 200mb y el correo se puede bloquear por esto. Hay algo para comprimir mi web o las imagenes o cualquier cosa que me reduzca el espacio?

ResponderCitar
Respondido : 26/02/2018 11:53 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Ricardo.

Revisa esta entrada del blog -> https://www.webempresa.com/blog/libera-espacio-hosting-estrategias-para-ahorrar.html

Si ves que tienes problemas de espacio, manda un ticket a soporte para que te dupliquen el espacio durante 24H, con eso tienes tiempo para revisar los archivos que tienes y ver los que puedes eliminar, vaciar correo, copias de seguridad, etc..

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 26/02/2018 12:33 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

RICARDO
 RICARDO
Usuario activo

Hola estoy intentando actualizar de la 2.4.18 a la 2.4.28 con el paquete que indicasteis mas arriba y no funciona la web ni puedo entrar a joomla

Estoy restaurando la copia de seguridad desde cPanel (previamente la descargue) y lleva mucho tiempo sin moverse la barra, es como si no cargara nada y estuviera estatica.

ResponderCitar
Respondido : 28/02/2018 10:22 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Ricardo.

Tranquilo que puedes restaurarla fácilmente con al herramienta superbackup que encontrarás en tu Área de clientes.

Dispones de copias de los últimos 30 días que puedes restaurar o incluso guardarlas en tu equipo.

Lo ideal es que tu mismo aprendas a hacerlo para que en casos de emergencia, puedes solucionarlo en cuestión de minutos.

No es difícil ya verás 🙂
Vamos paso a paso:

Primero, ve a tu área de clientes -> webempresa.com/areacliente.php

Luego, ve a la pestaña "Hosting" -> SuperBackups

A continuación, elige una copia del día anterior de dónde tu web funcionaba correctamente

Por último, de las tres opciones, selecciona estas dos:

1º Desde la pestaña "Restauración parcial" > pulsa en el botón azul "Restaurar el directorio public_html completo"

2º Desde la pestaña "Restauración bases de datos" > selecciona la base de datos que utiliza tu instalación

Tienes que restaurar tanto los archivos como la base de datos y los dos tienen que ser de la misma fecha

Con ello, tu web quedará restaurara a la copia que previamente has elegido 🙂

Te será útil -> guias.webempresa.com/preguntas-frecuentes/gestionar-copias-seguridad-superbackup/

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 28/02/2018 11:15 am

Cursos Gratuitos WordPress

RICARDO
 RICARDO
Usuario activo

Wow, muchas gracias he conseguido recuperarla. Me ha pasado todo esto por pasar de la 2.5.18 a la 2.5.28. Segun he comprendido primero actualizo todos los modulos, luego desactivo aquellos que no son nativos de joomla y luego instalo el paquete 2.5.28, es correcto o me dejo algo? Tengo un modulo el cual me pide clave para actualizarlo pero lo instale hace 4 años y no recuerdo la clave, con desahbilitarlo me daria problemas?

ResponderCitar
Respondido : 28/02/2018 11:51 am
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Efectivamente, lo que comentas es correcto, para la extensión que no puedes actualizar y que es muy antigua, ya que posiblemente sea incompatible con deshabilitarlo sería suficiente.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 28/02/2018 4:23 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

RICARDO
 RICARDO
Usuario activo

Gracias por responder. El problema es que no se cuales son modulos nativos de Joomla y cuales instalados. Podriais indicarmelo? Gracias de antemano.

ResponderCitar
Respondido : 01/03/2018 9:02 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Ricardo.

Primero realiza la actualización de joomla 5.18 a 5.28
Una vez actualizado desactiva Akeeba y en plugin desactiva Remember Me

.- accede a Componentes -> Actualización de Joomla y en Opciones -> Servidor de actualizaciones, comprueba si está en Soporte de corta duración -STS-.

.- Realiza la actualización.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 01/03/2018 9:14 am

wpdoctor-revisa-la-salud-de-tu-wordpress

RICARDO
 RICARDO
Usuario activo

Hola, ya he actualizado a la 2.5.28. Ahora quiero pasar a la 3.4.3. Como puedo desactivar la plantilla? Cual es por defecto de joomla? Tengo todos los modulos externos desactivados pero me da miedo que falle por la plantilla. Os adjunto una foto.

ResponderCitar
Respondido : 02/03/2018 9:16 am
Página 1 / 2

Por favor Iniciar Sesión o Registro